# BurnBurnBurn
Allows the use of the unused Pyro death animations
This is a finished version of 404's plugin which you can find at https://forums.alliedmods.net/showthread.php?p=2251258#post2251258, he gave me permission to start a thread for it on its own. Flaminsarge provided code from Randomizer in order to burn the animated models correctly, thank you for that.

A pyro fun time plugin.
https://www.youtube.com/watch?v=cARPBe2mfns&feature=youtu.be


# What is it : 
This plugin will re-enable the use of the old unused burning death animations found in TF2. There is one for every class except the pyro.

# How to use it : 
Just install the smx and load it up! You're good as gold~

# Any cvars? :
sm_burnanim  0/1 - enables the plugin.
sm_sillydeaths 0/1 - enables the scout / demo anims.

# Bugs? : 
When the animation finishes, the model is removed then replaced with a ragdoll that gets burned up. This isn't the most fluid of animation cycles but it works. If anyone knows a better way of getting that worked out I'd love to see!

I provided sm_sillydeaths as a way to block the anims for the scout and the demo, my players have mentioned they seem very distracting as they hop around like a taunt rather than they're dying.

The code returns to errors and in testing has been crash free, but if you have any issues feel free to let me know!